Read the messages in a chat, newest first
GET /api/member/chats/{chatId}/messages. Read the messages in a chat, newest first. Headless LMS Chats API reference.
For a participant of the chat.
Path Parameters
chatId*string
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/chats/string/messages"{ "rows": [ { "orgId": "string", "id": "string", "communityId": "string", "chatId": "string", "orgUserId": "string", "body": "string", "replyToId": "string", "editedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sender": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "role": "owner" }, "attachments": [ { "assetId": "string", "url": "string" } ], "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}